// Code generated by mockery v2.53.0. DO NOT EDIT.

package volume

import (
	context "context"

	config "gitlab.com/infor-cloud/martian-cloud/phobos/phobos-api/pkg/hcl/config"

	mock "github.com/stretchr/testify/mock"
)

// MockMounter is an autogenerated mock type for the Mounter type
type MockMounter struct {
	mock.Mock
}

// Close provides a mock function with no fields
func (_m *MockMounter) Close() error {
	ret := _m.Called()

	if len(ret) == 0 {
		panic("no return value specified for Close")
	}

	var r0 error
	if rf, ok := ret.Get(0).(func() error); ok {
		r0 = rf()
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// MountVolume provides a mock function with given fields: ctx, volume, mount, directory
func (_m *MockMounter) MountVolume(ctx context.Context, volume *config.Volume, mount *config.MountPoint, directory string) error {
	ret := _m.Called(ctx, volume, mount, directory)

	if len(ret) == 0 {
		panic("no return value specified for MountVolume")
	}

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, *config.Volume, *config.MountPoint, string) error); ok {
		r0 = rf(ctx, volume, mount, directory)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// NewMockMounter creates a new instance of MockMounter. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
// The first argument is typically a *testing.T value.
func NewMockMounter(t interface {
	mock.TestingT
	Cleanup(func())
}) *MockMounter {
	mock := &MockMounter{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
